;InnoSetupVersion=4.1.8

[Setup]
AppName=SpywareBlaster
AppVerName=SpywareBlaster v3.2
AppId=SpywareBlaster
AppVersion=3.2.0
AppPublisher=Javacool Software LLC
AppPublisherURL=http://www.javacoolsoftware.com/
DefaultDirName={pf}\SpywareBlaster
DefaultGroupName=SpywareBlaster
UninstallDisplayIcon={app}\spywareblaster.exe
OutputBaseFilename=setup
Compression=lzma
DisableProgramGroupPage=yes
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\spywareblaster.exe"; DestDir: "{app}"; 
Source: "{app}\sbautoupdate.exe"; DestDir: "{app}"; 
Source: "{app}\readme.txt"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\sbhelp.chm"; DestDir: "{app}"; 
Source: "{app}\sbauhelp.chm"; DestDir: "{app}"; 
Source: "{sys}\MSSTDFMT.DLL"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile onlyifdoesntexist 
Source: "{sys}\MSINET.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall regserver sharedfile 
Source: "{sys}\MSCOMCTL.OCX"; DestDir: "{sys}"; Flags: uninsneveruninstall restartreplace regserver sharedfile 
Source: "{app}\sbdatabase.dtb"; DestDir: "{app}"; 
Source: "{app}\sbdatabase2.dtb"; DestDir: "{app}"; 
Source: "{app}\sbinfo.dtb"; DestDir: "{app}"; 
Source: "{app}\ckdatabase.dtb"; DestDir: "{app}"; 
Source: "{app}\rsdatabase.dtb"; DestDir: "{app}"; 

[Registry]
Root: HKLM; Subkey: "Software\SpywareBlaster"; Flags: uninsdeletekey dontcreatekey 

[Run]
Filename: "{app}\spywareblaster.exe"; Description: "Run SpywareBlaster"; Flags: postinstall nowait

[Icons]
Name: "{group}\SpywareBlaster"; Filename: "{app}\spywareblaster.exe"; 
Name: "{group}\SpywareBlaster AutoUpdate Configuration"; Filename: "{app}\sbautoupdate.exe"; Parameters: "-config"; 
Name: "{group}\SpywareBlaster Help"; Filename: "{app}\sbhelp.chm"; 
Name: "{userdesktop}\SpywareBlaster"; Filename: "{app}\spywareblaster.exe"; Tasks: iconondesktop; 

[Tasks]
Name: "iconondesktop"; Description: "Put a shortcut to SpywareBlaster on the Desktop"; GroupDescription: "Shorcut Options:"; 

[InstallDelete]
Type: files; Name: "{app}\spywareblaster.exe"; 
Type: files; Name: "{app}\sbautoupdate.exe"; 
Type: files; Name: "{app}\readme.txt"; 
Type: files; Name: "{app}\license.txt"; 
Type: files; Name: "{app}\sbdatabase.dtb"; 
Type: files; Name: "{app}\sbdatabase2.dtb"; 
Type: files; Name: "{app}\sbinfo.dtb"; 
Type: files; Name: "{app}\ckdatabase.dtb"; 
Type: files; Name: "{app}\rsdatabase.dtb"; 
Type: files; Name: "{app}\updatersup.exe"; 
Type: files; Name: "{app}\sbhelp.chm"; 
Type: files; Name: "{app}\sbauhelp.chm"; 

[UninstallDelete]
Type: files; Name: "{app}\spyblasterversion.txt"; 
Type: files; Name: "{app}\sbversion.txt"; 
Type: files; Name: "{app}\sbversionau.txt"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
